[B072-1]Extract chemical structures from multiple patents-create

post
https://connect.patsnap.com/synapse/patent/chemical/submitTask
Try in Sandbox

Submit a chemical structure search task based on patent IDs or patent numbers, source, molecular weight range, etc., and return a task ID for querying results later

Either patent_ids or patent_numbers is required, if both are provided, patent_ids takes precedence.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
limit
integer<int32>10
Number of returned items, default 10.Maximum limit setting 100
page
integer<int32>1
page, default 1
patent_ids
array[ "3b583fb3-4edc-45f9-9b8c-2d9a82f5a730" ]
Patent ID list, either patent_ids or patent_numbers is required, if both are provided, patent_ids takes precedence, maximum 100
patent_numbers
array[ "US20230233575A1" ]
Patent number list, either patent_ids or patent_numbers is required, if both are provided, patent_ids takes precedence, maximum 100
range_max
number<double>888
Maximum molecular weight
range_min
number<double>30
Minimum molecular weight
source
Required
array[ 1, 2, 3, 4, 5, 6, 7 ]
Source, 1:Manual | 2:Other | 3:Picture | 4:Claims | 5:Abstract | 6:Title | 7:Description

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
task_id
string8f1fbc521be54612940b894cf532198d
Task ID for querying task results later
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "task_id": "8f1fbc521be54612940b894cf532198d"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms